@import url('https://fonts.googleapis.com/css2?family=Red+Hat+Display:ital,wght@0,300..900;1,300..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

:root {
    /* Primary Font */
    --primary-font: "Kanit", sans-serif;

    /* Global Colors */
    --primary-color: #DFCC7D;
    --secondary-color: #FFFFFF;
    --color-text: #000000;
    --color-dark: #1B1B1B;
    --color-light: #CCCCCC;

    /* Global Gradient */
    --gradient-main: linear-gradient(135deg, #1D40EA, #D132F7);
}
   
body {
    background: #000;
    color: #FFF;
    font-family: "Red Hat Display", sans-serif;
}

body *{
    font-family: "Red Hat Display", sans-serif;
}

body main{
    min-height: 100vh;
}
.bg-1 {
    background: url('../imgs/backgrounds/bg01.jpg');
    background-size: cover;
    background-position: center;
}

.bg-2 {
    background: url(../imgs/backgrounds/bg03.jpg);
    background-size: cover;
    background-position: center;
}

.bg-3 {
    background: url(../imgs/backgrounds/bg04.jpg);
    background-size: cover;
    background-position: center;
}

.bg-4 {
    background: url(../imgs/backgrounds/bg05.png);
    background-size: cover;
    background-position: center;
}

.h1 {
    font-size: 33px;
    font-weight: bold;
}
.normal-title {
    font-size: 20px;
    font-weight: bold;
}


.nav-links {
    background: #FFF;
    border-radius: 20px 20px 0 0;
    padding: 10px 10px 25px;
    color: #000;
    position: fixed;
    bottom: 0;
    width: 100%;
    z-index: 999;
}

.nav-links .nav-link {
    display: flex;
    flex-direction: column;
    text-align: center;
    justify-content: center;
    align-items: center;
    gap: 5px;
}

.nav-links .nav-link .icon {
    background: transparent;
    border-radius: 10px;
    width: 37px;
    object-fit: contain;
    height: 37px;
    display: flex;
    justify-content: center;
    align-content: center;
    padding: 7px;
    transition: .3s all ease;
}
.nav-links .nav-link .icon img {
    object-fit: contain;
}

.nav-links .nav-link.active .icon,
.nav-links .nav-link:hover .icon{
    background: var(--primary-color);
    color: var(--primary-color);
    transition: .3s all ease;
}
.nav-links .nav-link.active small,
.nav-links .nav-link:hover small{
    color: var(--primary-color);
}

.nav-links .nav-link.active .icon img,
.nav-links .nav-link:hover .icon img{
    filter: invert(1);
}

.nav-links .nav-link small {
    font-size: 12px;
    line-height: 1.3;
    font-weight: 600;
    color: var(--color-dark);
}

.box {
    border: 1px solid var(--primary-color);
    border-radius: 11px;
    padding: 15px 15px 15px;
    margin-bottom: 20px;
    min-height: 140px;
    display: block;
    text-decoration: none;
}

.box .box-title {
    font-size: 20px;
    color: var(--primary-color);
    margin-top: 15px;
    margin-bottom: 0 !important;
    font-weight: 600;
    line-height: 1.5;
    text-transform: capitalize;
}

.title-main {
    font-size: 20px;
    font-weight: 800;
}

.header-area {
    padding: 15px;
    margin-bottom: 20px;
}
.header-area .pf-info .user-image {
    border-radius: 10px;
    margin-right: 12px;
    width: 40px;
    height: 40px;
    object-fit: cover;
    object-position: center;
}
pf-info .user-name {
    font-size: 20px;
    font-weight: 600;
}

.profile-info {
  position: relative;
}
.profile-info .image-area {
  position: relative;
}
.profile-info .image-area .user-image {
  border-radius: 50%;
  width: 115px;
  height: 115px;
  object-fit: cover;
  object-position: center;
}
.profile-info .image-area  .edit-pf-btn {
  position: absolute;
  right: 0;
  bottom: 0;
}
.profile-info .image-area button {
  padding: 0;
  background: transparent;
  border: 0;
  outline: 0;
}
.profile-info .image-area {
  width: fit-content;
  margin: 0 auto;
}

.title-secondary {
  font-weight: 700;
  margin-top: 15px;
    font-size: 18px;
}

.acc-details .list-group-item {
    background-color: transparent;
    border: 1px solid var(--primary-color) !important;
    color: var(--primary-color);
    border-radius: 10px;
    margin-bottom: 10px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 20px;
}

.acc-details .list-group-item i {
    color: var(--primary-color);
    margin-right: 10px;
    width: 25px;
    text-align: center;
}

.acc-details .list-group-item:hover {
    background-color: #333;
    text-decoration: none;
}

.acc-details .item-text {
    display: flex;
    align-items: center;
}

.acc-details .arrow {
    color: var(--primary-color);
}

.acc-details {
    background: url('../imgs/backgrounds/bg02.jpg');
    background-size: cover;
    background-position: center;
    padding: 25px 25px;
    border-radius: 20px 20px 0 0;
}
.btn-white {
    background: #FFF;
    width: 90%;
    border-radius: 30px;
    padding: 9px;
    font-size: 20px;
    font-weight: 600;
    color: #0F313A;
    display: block;
    border: 1px solid #FFf;
    margin: 20px auto;
}
.btn-white:hover{
    background-color: #1d1d1d;
    color: #FFF;
    border-color: var(--primary-color);
}

.db-sec .db-box {
      border: 1px solid var(--primary-color);
      border-radius: 12px;
      padding: 0;
  }
  .db-sec .db-box .db-sec label {
      color: var(--primary-color);
      font-weight: 800;
      font-size: 14px;
  }
  .db-sec .db-box .amount {
    font-weight: 600;
    font-family: "Poppins", sans-serif;
}
.db-sec .db-box h2.amount {
    font-size: 40px;
}
.db-details span.title {
      max-width: 55%;
      width: 100%;
      align-self: flex-end;
    font-size: 14px;
    font-weight: 700;
  }
  .db-details span.text-muted {
    max-width: 45%;
    width: 100%;
    text-align: right;
    align-self: flex-end;
    font-size: 14px;
    color: #F0F0EF !important;
    font-weight: 400;
    opacity: .8;
}

.db-details .border-bottom{
    border-color: var(--primary-color) !important;
}

.db-sec label {
    color: var(--primary-color);
    font-weight: 700;
    font-size: 15px;
}


.referral-box {
    border-color: var(--primary-color) !important;
    border-radius: 7px;
    padding: 2px 4px;
    overflow: hidden;
}

.referral-box input {
    flex: auto;
    outline: 0;
    border: 0;
    background: transparent;
    color: #FFF;
    font-weight: 300;
    font-size: 15px;
}
.referral-box button {
    background: transparent;
    color: var(--primary-color);
    font-size: 18px;
    box-shadow: none;
    border: 0;
    transition: .3s;
    border-radius: 5px;
}
.referral-box button:hover {
    background: #FFFFFF20;
}
h5.title-small {
    padding: 0;
    font-size: 15px;
    font-weight: 700;
    color: var(--primary-color);
}
.tag-type {
    padding: 3px 8px;
    background: var(--primary-color);
    color: #000;
    font-weight: 700;
    font-size: 15px;
    border-radius: 4px;
}
.withdrawal-form .field-group input {
    background: transparent;
    color: #FFF;
    padding: 0;
    border: 0;
    outline: 0;
    border-radius: 6px;
    font-weight: 300;
    font-size: 15px;
}

.field-label-adv {
    color: var(--primary-color);
    font-weight: 700;
    font-size: 15px;
}
.field-group-adv input {
    background: transparent;
    color: var(--primary-color);
    border-radius: 6px;
    padding: 5px;
    outline: 0;
}

.field-group-adv input.border {
    border-color: var(--primary-color) !important;
}
label.field-label {
    font-size: 15px;
}
.withdrawal-form .border-bottom {
    border-color: var(--primary-color) !important;
}
.withdrawal-form .fields {
    background: #1A1A1A80;
    padding: 13px;
    border-radius: 13px;
    border: 1px solid var(--primary-color);
    backdrop-filter: blur(15px);
}



.user-forms .form-container {
    max-width: 500px;
    margin: 30px auto 0;
    padding: 30px;
    border-radius: 10px;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
}

.user-forms .social-btn {
    width: 100%;
    margin-bottom: 10px;
}

.user-forms .form-icon {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 0;
    color: #A7A7A7;
    font-size: 16px;;
}
.user-forms input.form-control {
    border: 0;
    border-bottom: 1px solid #A7A7A7;
    border-radius: 0;
    padding: 0 0 2px 28px;
    font-size: 15px;
    color: #000;
    font-weight: 600;
    min-height: 35px;
}

.user-forms input.form-control::placeholder {
    opacity: 1;
    color: #A7A7A7 !important;
}
.user-forms .form-check-label {
    color: #A7A7A7;
    font-size: 13px;
    font-weight: 600;
}
.form-check-input {
    border-color: #A7A7A7;
}
.user-forms input:focus {
    box-shadow: none;
    outline: 0;
}
.btn-submit-form {
  font-size: 22px;
  color: #0F313A;
  font-weight: bold;
  padding: 9px 5px;
  box-shadow: rgba(0, 0, 0, 0.10) 0 3px 4px 1px;
  border-radius: 30px;
}
.btn-submit-form:hover{
 box-shadow: rgba(0, 0, 0, 0.30) 0 3px 4px 1px;
  color: #000;
}

.rg-social-btn {
    padding: 0;
    border: 0;
    background: transparent;
}

.auth-login .center-box {
    height: 100%;
}

.auth-login .logo-img {
    max-width: 180px;
    height: auto;
}
.auth-login .btn-white {
    margin: 0;
    font-size: 16px;
}
.auth-login .btn-white:hover {
    background-color: #f0f0f0;
    color: #000;
}

.gold-modal .modal-content {
    background-image: url(../imgs/modal-bg.png);
    background-size: 100% 100%;
    background-position: center center;
    background-color: transparent;
    border-radius: 12px;
    color: white;
    text-align: center;
    padding: 30px;
}
 
.gold-modal .modal-header {
    border-bottom: none;
    justify-content: flex-end;
}
 
.gold-modal .modal-title {
    font-weight: bold;
    font-size: 1.5rem;
    color: var(--primary-color);
}
 
.gold-modal .progress {
    height: 12px;background: transparent;
        border: 1px solid var(--primary-color);
    border-radius: 30px;
    overflow: hidden;
}
 
.gold-modal .progress-bar {background: radial-gradient(#F1E693 40%, #A37B3E);
    border-radius: 30px;
    transition: width 0.5s ease;
}
 
.gold-modal .invite-text {
margin: 8px 0 35px;
    font-size: 17px;
}
 
.gold-modal .progress-count {
    margin-top: 5px;
        font-weight: 500;
        color: var(--primary-color);
        font-size: 13px;
        text-align: right;
}
.gold-modal .btn-close {
    position: absolute;
    top: 18px;
    right: 18px;
    font-size: 9px;
    color: #696969 !important;
    background-color: #D9D9D9 !important;
    filter: none;
    border-radius: 50%;
    opacity: 1;
    padding: 6px !important;
}

@media (min-width:767px){
    .nav-links {
            border-radius: 20px;
            margin: 0 auto !important;
            right: 0;
            left: 0;
            max-width: 400px;
            padding: 12px 6px;
            bottom: 20px;
        }
}

@media (max-width: 767px){
    
.box .box-icon {
  width: 33px;
  height: 33px;
}
.title-main {
    font-size: 20px;
    text-align: center;
}
.db-box .d-flex.flex-wrap {
    flex-direction: column;
    text-align: left;
    align-items: flex-start !important;
}
.sp-box {
    min-height: 90vh;
}
.sp-box {
  display: flex;
  flex-direction: column;
  justify-content: end;
}
.sp-box .container.user-forms {
  padding: 0;
}
.sp-box .container.user-forms .form-container {
  min-height: 70vh;
}

}

/* Hide arrows in Chrome, Safari, Edge, Opera */
input[type=number]::-webkit-outer-spin-button,
input[type=number]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Hide arrows in Firefox */
input[type=number] {
    -moz-appearance: textfield;
}


button#installButton {
    padding: 12px 20px;
    border-radius: 30px;
    font-size: 15px;
    background: transparent;
    border: 1px solid #dfcc7d;
    color: #dfcc7d;
    transition: .3s all ease;
}

button#installButton:hover{
    background: #dfcc7d;
    color: #000;
}
